Skip to content
Linq

Webhooks

ModelsExpand Collapse
CallVoiceInitiatedWebhookEvent object { api_version, created_at, data, 5 more }
api_version: string

API version for the webhook payload format

created_at: string

When the event was created

formatdate-time
data: object { id, direction, from, 4 more }
id: string

Carrier voice call ID

formatuuid
direction: "inbound"
from: string

External caller, E.164

status: "completed" or "busy" or "no_answer" or 2 more

Terminal call outcome. Null on progress events (initiated/ringing/answered); set once the call ends.

One of the following:
"completed"
"busy"
"no_answer"
"failed"
"canceled"
to: string

Your line that was called, E.164

ended_at: optional string
formatdate-time
started_at: optional string
formatdate-time
event_id: string

Unique identifier for this event (for deduplication)

formatuuid
event_type: "call_voice.initiated" or "call_voice.ringing" or "call_voice.answered" or 73 more
One of the following:
"call_voice.initiated"
"call_voice.ringing"
"call_voice.answered"
"call_voice.ended"
"call_voice.failed"
"call_voice.declined"
"call_voice.no_answer"
"message.sent"
"message.received"
"message.read"
"message.delivered"
"message.failed"
"message.edited"
"reaction.added"
"reaction.removed"
"poll.received"
"poll.failed"
"poll.sent"
"poll.delivered"
"poll.read"
"poll.updated"
"poll.vote.added"
"poll.vote.removed"
"poll.reaction.added"
"participant.added"
"participant.removed"
"chat.created"
"chat.group_name_updated"
"chat.group_icon_updated"
"chat.group_name_update_failed"
"chat.group_icon_update_failed"
"chat.background_updated"
"chat.background_update_failed"
"chat.typing_indicator.started"
"chat.typing_indicator.stopped"
"phone_number.status_updated"
"phone_number.assigned"
"phone_number.released"
"phone_number.line_type_updated"
"contact_card.received"
"location.sharing.started"
"location.sharing.stopped"
"payment.succeeded"
"payment.canceled"
"payment.expired"
"payment.declined"
"payment.authorized"
"connection.created"
"connection.revoked"
"zero_day_retention.updated"
"phone_number.forwarding_updated"
"environment.line_moved"
"contact_card.created"
"contact_card.updated"
"contact_card.deleted"
"api_token.created"
"api_token.renamed"
"api_token.expiry_scheduled"
"api_token.expired"
"api_token.activated"
"api_token.deleted"
"environment.created"
"environment.renamed"
"environment.deleted"
"webhook_subscription.created"
"webhook_subscription.deleted"
"webhook_subscription.target_url_changed"
"webhook_subscription.enabled"
"webhook_subscription.disabled"
"webhook_subscription.events.updated"
"webhook_subscription.phone_numbers.updated"
"webhook_subscription.routing_headers_set"
"webhook_subscription.routing_headers_cleared"
"team_member.added"
"team_member.signed_in"
"team_member.signed_out"
partner_id: string

Partner identifier. Present on all webhooks for cross-referencing.

trace_id: string

Trace ID for debugging and correlation across systems.

webhook_version: string

Date-based webhook payload version. Determined by the ?version= query parameter in your webhook subscription URL. If no version parameter is specified, defaults based on subscription creation date.

CallVoiceRingingWebhookEvent object { api_version, created_at, data, 5 more }
api_version: string

API version for the webhook payload format

created_at: string

When the event was created

formatdate-time
data: object { id, direction, from, 4 more }
id: string

Carrier voice call ID

formatuuid
direction: "inbound"
from: string

External caller, E.164

status: "completed" or "busy" or "no_answer" or 2 more

Terminal call outcome. Null on progress events (initiated/ringing/answered); set once the call ends.

One of the following:
"completed"
"busy"
"no_answer"
"failed"
"canceled"
to: string

Your line that was called, E.164

ended_at: optional string
formatdate-time
started_at: optional string
formatdate-time
event_id: string

Unique identifier for this event (for deduplication)

formatuuid
event_type: "call_voice.initiated" or "call_voice.ringing" or "call_voice.answered" or 73 more
One of the following:
"call_voice.initiated"
"call_voice.ringing"
"call_voice.answered"
"call_voice.ended"
"call_voice.failed"
"call_voice.declined"
"call_voice.no_answer"
"message.sent"
"message.received"
"message.read"
"message.delivered"
"message.failed"
"message.edited"
"reaction.added"
"reaction.removed"
"poll.received"
"poll.failed"
"poll.sent"
"poll.delivered"
"poll.read"
"poll.updated"
"poll.vote.added"
"poll.vote.removed"
"poll.reaction.added"
"participant.added"
"participant.removed"
"chat.created"
"chat.group_name_updated"
"chat.group_icon_updated"
"chat.group_name_update_failed"
"chat.group_icon_update_failed"
"chat.background_updated"
"chat.background_update_failed"
"chat.typing_indicator.started"
"chat.typing_indicator.stopped"
"phone_number.status_updated"
"phone_number.assigned"
"phone_number.released"
"phone_number.line_type_updated"
"contact_card.received"
"location.sharing.started"
"location.sharing.stopped"
"payment.succeeded"
"payment.canceled"
"payment.expired"
"payment.declined"
"payment.authorized"
"connection.created"
"connection.revoked"
"zero_day_retention.updated"
"phone_number.forwarding_updated"
"environment.line_moved"
"contact_card.created"
"contact_card.updated"
"contact_card.deleted"
"api_token.created"
"api_token.renamed"
"api_token.expiry_scheduled"
"api_token.expired"
"api_token.activated"
"api_token.deleted"
"environment.created"
"environment.renamed"
"environment.deleted"
"webhook_subscription.created"
"webhook_subscription.deleted"
"webhook_subscription.target_url_changed"
"webhook_subscription.enabled"
"webhook_subscription.disabled"
"webhook_subscription.events.updated"
"webhook_subscription.phone_numbers.updated"
"webhook_subscription.routing_headers_set"
"webhook_subscription.routing_headers_cleared"
"team_member.added"
"team_member.signed_in"
"team_member.signed_out"
partner_id: string

Partner identifier. Present on all webhooks for cross-referencing.

trace_id: string

Trace ID for debugging and correlation across systems.

webhook_version: string

Date-based webhook payload version. Determined by the ?version= query parameter in your webhook subscription URL. If no version parameter is specified, defaults based on subscription creation date.

CallVoiceAnsweredWebhookEvent object { api_version, created_at, data, 5 more }
api_version: string

API version for the webhook payload format

created_at: string

When the event was created

formatdate-time
data: object { id, direction, from, 4 more }
id: string

Carrier voice call ID

formatuuid
direction: "inbound"
from: string

External caller, E.164

status: "completed" or "busy" or "no_answer" or 2 more

Terminal call outcome. Null on progress events (initiated/ringing/answered); set once the call ends.

One of the following:
"completed"
"busy"
"no_answer"
"failed"
"canceled"
to: string

Your line that was called, E.164

ended_at: optional string
formatdate-time
started_at: optional string
formatdate-time
event_id: string

Unique identifier for this event (for deduplication)

formatuuid
event_type: "call_voice.initiated" or "call_voice.ringing" or "call_voice.answered" or 73 more
One of the following:
"call_voice.initiated"
"call_voice.ringing"
"call_voice.answered"
"call_voice.ended"
"call_voice.failed"
"call_voice.declined"
"call_voice.no_answer"
"message.sent"
"message.received"
"message.read"
"message.delivered"
"message.failed"
"message.edited"
"reaction.added"
"reaction.removed"
"poll.received"
"poll.failed"
"poll.sent"
"poll.delivered"
"poll.read"
"poll.updated"
"poll.vote.added"
"poll.vote.removed"
"poll.reaction.added"
"participant.added"
"participant.removed"
"chat.created"
"chat.group_name_updated"
"chat.group_icon_updated"
"chat.group_name_update_failed"
"chat.group_icon_update_failed"
"chat.background_updated"
"chat.background_update_failed"
"chat.typing_indicator.started"
"chat.typing_indicator.stopped"
"phone_number.status_updated"
"phone_number.assigned"
"phone_number.released"
"phone_number.line_type_updated"
"contact_card.received"
"location.sharing.started"
"location.sharing.stopped"
"payment.succeeded"
"payment.canceled"
"payment.expired"
"payment.declined"
"payment.authorized"
"connection.created"
"connection.revoked"
"zero_day_retention.updated"
"phone_number.forwarding_updated"
"environment.line_moved"
"contact_card.created"
"contact_card.updated"
"contact_card.deleted"
"api_token.created"
"api_token.renamed"
"api_token.expiry_scheduled"
"api_token.expired"
"api_token.activated"
"api_token.deleted"
"environment.created"
"environment.renamed"
"environment.deleted"
"webhook_subscription.created"
"webhook_subscription.deleted"
"webhook_subscription.target_url_changed"
"webhook_subscription.enabled"
"webhook_subscription.disabled"
"webhook_subscription.events.updated"
"webhook_subscription.phone_numbers.updated"
"webhook_subscription.routing_headers_set"
"webhook_subscription.routing_headers_cleared"
"team_member.added"
"team_member.signed_in"
"team_member.signed_out"
partner_id: string

Partner identifier. Present on all webhooks for cross-referencing.

trace_id: string

Trace ID for debugging and correlation across systems.

webhook_version: string

Date-based webhook payload version. Determined by the ?version= query parameter in your webhook subscription URL. If no version parameter is specified, defaults based on subscription creation date.

CallVoiceEndedWebhookEvent object { api_version, created_at, data, 5 more }
api_version: string

API version for the webhook payload format

created_at: string

When the event was created

formatdate-time
data: object { id, direction, from, 4 more }
id: string

Carrier voice call ID

formatuuid
direction: "inbound"
from: string

External caller, E.164

status: "completed" or "busy" or "no_answer" or 2 more

Terminal call outcome. Null on progress events (initiated/ringing/answered); set once the call ends.

One of the following:
"completed"
"busy"
"no_answer"
"failed"
"canceled"
to: string

Your line that was called, E.164

ended_at: optional string
formatdate-time
started_at: optional string
formatdate-time
event_id: string

Unique identifier for this event (for deduplication)

formatuuid
event_type: "call_voice.initiated" or "call_voice.ringing" or "call_voice.answered" or 73 more
One of the following:
"call_voice.initiated"
"call_voice.ringing"
"call_voice.answered"
"call_voice.ended"
"call_voice.failed"
"call_voice.declined"
"call_voice.no_answer"
"message.sent"
"message.received"
"message.read"
"message.delivered"
"message.failed"
"message.edited"
"reaction.added"
"reaction.removed"
"poll.received"
"poll.failed"
"poll.sent"
"poll.delivered"
"poll.read"
"poll.updated"
"poll.vote.added"
"poll.vote.removed"
"poll.reaction.added"
"participant.added"
"participant.removed"
"chat.created"
"chat.group_name_updated"
"chat.group_icon_updated"
"chat.group_name_update_failed"
"chat.group_icon_update_failed"
"chat.background_updated"
"chat.background_update_failed"
"chat.typing_indicator.started"
"chat.typing_indicator.stopped"
"phone_number.status_updated"
"phone_number.assigned"
"phone_number.released"
"phone_number.line_type_updated"
"contact_card.received"
"location.sharing.started"
"location.sharing.stopped"
"payment.succeeded"
"payment.canceled"
"payment.expired"
"payment.declined"
"payment.authorized"
"connection.created"
"connection.revoked"
"zero_day_retention.updated"
"phone_number.forwarding_updated"
"environment.line_moved"
"contact_card.created"
"contact_card.updated"
"contact_card.deleted"
"api_token.created"
"api_token.renamed"
"api_token.expiry_scheduled"
"api_token.expired"
"api_token.activated"
"api_token.deleted"
"environment.created"
"environment.renamed"
"environment.deleted"
"webhook_subscription.created"
"webhook_subscription.deleted"
"webhook_subscription.target_url_changed"
"webhook_subscription.enabled"
"webhook_subscription.disabled"
"webhook_subscription.events.updated"
"webhook_subscription.phone_numbers.updated"
"webhook_subscription.routing_headers_set"
"webhook_subscription.routing_headers_cleared"
"team_member.added"
"team_member.signed_in"
"team_member.signed_out"
partner_id: string

Partner identifier. Present on all webhooks for cross-referencing.

trace_id: string

Trace ID for debugging and correlation across systems.

webhook_version: string

Date-based webhook payload version. Determined by the ?version= query parameter in your webhook subscription URL. If no version parameter is specified, defaults based on subscription creation date.

CallVoiceFailedWebhookEvent object { api_version, created_at, data, 5 more }
api_version: string

API version for the webhook payload format

created_at: string

When the event was created

formatdate-time
data: object { id, direction, from, 4 more }
id: string

Carrier voice call ID

formatuuid
direction: "inbound"
from: string

External caller, E.164

status: "completed" or "busy" or "no_answer" or 2 more

Terminal call outcome. Null on progress events (initiated/ringing/answered); set once the call ends.

One of the following:
"completed"
"busy"
"no_answer"
"failed"
"canceled"
to: string

Your line that was called, E.164

ended_at: optional string
formatdate-time
started_at: optional string
formatdate-time
event_id: string

Unique identifier for this event (for deduplication)

formatuuid
event_type: "call_voice.initiated" or "call_voice.ringing" or "call_voice.answered" or 73 more
One of the following:
"call_voice.initiated"
"call_voice.ringing"
"call_voice.answered"
"call_voice.ended"
"call_voice.failed"
"call_voice.declined"
"call_voice.no_answer"
"message.sent"
"message.received"
"message.read"
"message.delivered"
"message.failed"
"message.edited"
"reaction.added"
"reaction.removed"
"poll.received"
"poll.failed"
"poll.sent"
"poll.delivered"
"poll.read"
"poll.updated"
"poll.vote.added"
"poll.vote.removed"
"poll.reaction.added"
"participant.added"
"participant.removed"
"chat.created"
"chat.group_name_updated"
"chat.group_icon_updated"
"chat.group_name_update_failed"
"chat.group_icon_update_failed"
"chat.background_updated"
"chat.background_update_failed"
"chat.typing_indicator.started"
"chat.typing_indicator.stopped"
"phone_number.status_updated"
"phone_number.assigned"
"phone_number.released"
"phone_number.line_type_updated"
"contact_card.received"
"location.sharing.started"
"location.sharing.stopped"
"payment.succeeded"
"payment.canceled"
"payment.expired"
"payment.declined"
"payment.authorized"
"connection.created"
"connection.revoked"
"zero_day_retention.updated"
"phone_number.forwarding_updated"
"environment.line_moved"
"contact_card.created"
"contact_card.updated"
"contact_card.deleted"
"api_token.created"
"api_token.renamed"
"api_token.expiry_scheduled"
"api_token.expired"
"api_token.activated"
"api_token.deleted"
"environment.created"
"environment.renamed"
"environment.deleted"
"webhook_subscription.created"
"webhook_subscription.deleted"
"webhook_subscription.target_url_changed"
"webhook_subscription.enabled"
"webhook_subscription.disabled"
"webhook_subscription.events.updated"
"webhook_subscription.phone_numbers.updated"
"webhook_subscription.routing_headers_set"
"webhook_subscription.routing_headers_cleared"
"team_member.added"
"team_member.signed_in"
"team_member.signed_out"
partner_id: string

Partner identifier. Present on all webhooks for cross-referencing.

trace_id: string

Trace ID for debugging and correlation across systems.

webhook_version: string

Date-based webhook payload version. Determined by the ?version= query parameter in your webhook subscription URL. If no version parameter is specified, defaults based on subscription creation date.

CallVoiceDeclinedWebhookEvent object { api_version, created_at, data, 5 more }
api_version: string

API version for the webhook payload format

created_at: string

When the event was created

formatdate-time
data: object { id, direction, from, 4 more }
id: string

Carrier voice call ID

formatuuid
direction: "inbound"
from: string

External caller, E.164

status: "completed" or "busy" or "no_answer" or 2 more

Terminal call outcome. Null on progress events (initiated/ringing/answered); set once the call ends.

One of the following:
"completed"
"busy"
"no_answer"
"failed"
"canceled"
to: string

Your line that was called, E.164

ended_at: optional string
formatdate-time
started_at: optional string
formatdate-time
event_id: string

Unique identifier for this event (for deduplication)

formatuuid
event_type: "call_voice.initiated" or "call_voice.ringing" or "call_voice.answered" or 73 more
One of the following:
"call_voice.initiated"
"call_voice.ringing"
"call_voice.answered"
"call_voice.ended"
"call_voice.failed"
"call_voice.declined"
"call_voice.no_answer"
"message.sent"
"message.received"
"message.read"
"message.delivered"
"message.failed"
"message.edited"
"reaction.added"
"reaction.removed"
"poll.received"
"poll.failed"
"poll.sent"
"poll.delivered"
"poll.read"
"poll.updated"
"poll.vote.added"
"poll.vote.removed"
"poll.reaction.added"
"participant.added"
"participant.removed"
"chat.created"
"chat.group_name_updated"
"chat.group_icon_updated"
"chat.group_name_update_failed"
"chat.group_icon_update_failed"
"chat.background_updated"
"chat.background_update_failed"
"chat.typing_indicator.started"
"chat.typing_indicator.stopped"
"phone_number.status_updated"
"phone_number.assigned"
"phone_number.released"
"phone_number.line_type_updated"
"contact_card.received"
"location.sharing.started"
"location.sharing.stopped"
"payment.succeeded"
"payment.canceled"
"payment.expired"
"payment.declined"
"payment.authorized"
"connection.created"
"connection.revoked"
"zero_day_retention.updated"
"phone_number.forwarding_updated"
"environment.line_moved"
"contact_card.created"
"contact_card.updated"
"contact_card.deleted"
"api_token.created"
"api_token.renamed"
"api_token.expiry_scheduled"
"api_token.expired"
"api_token.activated"
"api_token.deleted"
"environment.created"
"environment.renamed"
"environment.deleted"
"webhook_subscription.created"
"webhook_subscription.deleted"
"webhook_subscription.target_url_changed"
"webhook_subscription.enabled"
"webhook_subscription.disabled"
"webhook_subscription.events.updated"
"webhook_subscription.phone_numbers.updated"
"webhook_subscription.routing_headers_set"
"webhook_subscription.routing_headers_cleared"
"team_member.added"
"team_member.signed_in"
"team_member.signed_out"
partner_id: string

Partner identifier. Present on all webhooks for cross-referencing.

trace_id: string

Trace ID for debugging and correlation across systems.

webhook_version: string

Date-based webhook payload version. Determined by the ?version= query parameter in your webhook subscription URL. If no version parameter is specified, defaults based on subscription creation date.

CallVoiceNoAnswerWebhookEvent object { api_version, created_at, data, 5 more }
api_version: string

API version for the webhook payload format

created_at: string

When the event was created

formatdate-time
data: object { id, direction, from, 4 more }
id: string

Carrier voice call ID

formatuuid
direction: "inbound"
from: string

External caller, E.164

status: "completed" or "busy" or "no_answer" or 2 more

Terminal call outcome. Null on progress events (initiated/ringing/answered); set once the call ends.

One of the following:
"completed"
"busy"
"no_answer"
"failed"
"canceled"
to: string

Your line that was called, E.164

ended_at: optional string
formatdate-time
started_at: optional string
formatdate-time
event_id: string

Unique identifier for this event (for deduplication)

formatuuid
event_type: "call_voice.initiated" or "call_voice.ringing" or "call_voice.answered" or 73 more
One of the following:
"call_voice.initiated"
"call_voice.ringing"
"call_voice.answered"
"call_voice.ended"
"call_voice.failed"
"call_voice.declined"
"call_voice.no_answer"
"message.sent"
"message.received"
"message.read"
"message.delivered"
"message.failed"
"message.edited"
"reaction.added"
"reaction.removed"
"poll.received"
"poll.failed"
"poll.sent"
"poll.delivered"
"poll.read"
"poll.updated"
"poll.vote.added"
"poll.vote.removed"
"poll.reaction.added"
"participant.added"
"participant.removed"
"chat.created"
"chat.group_name_updated"
"chat.group_icon_updated"
"chat.group_name_update_failed"
"chat.group_icon_update_failed"
"chat.background_updated"
"chat.background_update_failed"
"chat.typing_indicator.started"
"chat.typing_indicator.stopped"
"phone_number.status_updated"
"phone_number.assigned"
"phone_number.released"
"phone_number.line_type_updated"
"contact_card.received"
"location.sharing.started"
"location.sharing.stopped"
"payment.succeeded"
"payment.canceled"
"payment.expired"
"payment.declined"
"payment.authorized"
"connection.created"
"connection.revoked"
"zero_day_retention.updated"
"phone_number.forwarding_updated"
"environment.line_moved"
"contact_card.created"
"contact_card.updated"
"contact_card.deleted"
"api_token.created"
"api_token.renamed"
"api_token.expiry_scheduled"
"api_token.expired"
"api_token.activated"
"api_token.deleted"
"environment.created"
"environment.renamed"
"environment.deleted"
"webhook_subscription.created"
"webhook_subscription.deleted"
"webhook_subscription.target_url_changed"
"webhook_subscription.enabled"
"webhook_subscription.disabled"
"webhook_subscription.events.updated"
"webhook_subscription.phone_numbers.updated"
"webhook_subscription.routing_headers_set"
"webhook_subscription.routing_headers_cleared"
"team_member.added"
"team_member.signed_in"
"team_member.signed_out"
partner_id: string

Partner identifier. Present on all webhooks for cross-referencing.

trace_id: string

Trace ID for debugging and correlation across systems.

webhook_version: string

Date-based webhook payload version. Determined by the ?version= query parameter in your webhook subscription URL. If no version parameter is specified, defaults based on subscription creation date.